Name:           tfreezer
Version:	0.9.7
License:        GPL v3
Source0:        %{name}-%{version}.tar.gz
Source1:	tfreezer.desktop
Source2:	tfreezer.sh
Group:          Applications/System
Summary:        Desktop freezer application
Url:            https://launchpad.net/trivialfreezer
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} == 1010
Requires:	python python-gtk python-ldap python-paramiko python-crypto gdm
Release:	7.1
%define 	gdmdir	/etc/opt/gnome/gdm
%define 	zendir  /opt/gnome/bin
%else
Requires:       python python-gtk python-ldap python-paramiko python-crypto python-sexy gdm
Release:	7.1
%define 	gdmdir /etc/gdm
%define 	zendir /usr/bin
%define         installpath %{_datadir}/tfreezer
%endif
BuildArch:	noarch
BuildRequires:	gdm
%if 0%{?suse_version}
BuildRequires: update-desktop-files
%endif
Vendor: linkat

%description
Trivial Freezer allows system administrators to manage the files and configurations to keep them frozen between user sessions.

%prep
%setup -n tfreezer

%build

%install
mkdir -p %buildroot/%installpath/
cp -r * %buildroot/%installpath/
mkdir -p %buildroot/%_datadir/pixmaps/
mkdir -p %buildroot/%_datadir/applications/
cp pixmaps/ice-14.png %buildroot/%_datadir/pixmaps/
cp %SOURCE1 %buildroot/%_datadir/applications/
cp %SOURCE2 %buildroot/%installpath/

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
if [ "$1" = "1" ];then
sed -e '$i date >> /var/log/tfreezer.log' %{gdmdir}/PreSession/Default | sed '/tfreezer.log/ a\tfreezer -r $USER -a >> /var/log/tfreezer.log 2>&1' > %{gdmdir}/PreSession/Default.tfreezer
mv %{gdmdir}/PreSession/Default %{gdmdir}/PreSession/Default.tfreezer.old
mv %{gdmdir}/PreSession/Default.tfreezer %{gdmdir}/PreSession/Default
chmod 755 %{gdmdir}/PreSession/Default
sed -e '$i date >> /var/log/tfreezer.log' /etc/rc.d/boot.local | sed -e '$i tfreezer -r -a >> /var/log/tfreezer.log' > /etc/rc.d/boot.local.tfreezer
mv /etc/rc.d/boot.local /etc/rc.d/boot.local.tfreezer.old
mv /etc/rc.d/boot.local.tfreezer /etc/rc.d/boot.local
chmod 755 /etc/rc.d/boot.local
ln -s /usr/share/tfreezer/tfreezer.py /usr/bin/tfreezer
if [ -f /etc/modalitat_linkat ]; then
   res=$(cat /etc/passwd | grep tfreezer)
      if [ ! $? -eq 0 ]; then
	res=$(cat /etc/modalitat_linkat | grep servidor)
        if [ $? -eq 0 ]; then
	   useradd -m tfreezer
	else
	   useradd tfreezer
	fi
	SORTIR=0
	while [ $SORTIR = 0 ]; do
	        CONT=$(%{zendir}/zenity --entry --hide-text --text="Contrasenya per l'usuari tfreezer:" --entry-text="" --title="Instal.lació Trivial Freezer")
		CONT2=$(%{zendir}/zenity --entry --hide-text --text="Confirmeu la contrasenya:" --entry-text="" --title="Instal.lació Trivial Freezer")
		if [ $CONT == $CONT2 ]; then
			SORTIR=1
		else
		   %{zendir}/zenity --warning --text="La contrasenya no coincideix" --title="Instal.lació Trivial Freezer"
		fi
	done
	echo $CONT | passwd --stdin tfreezer
      fi
      cp /etc/sudoers /etc/sudoers.bak
      %if 0%{?suse_version} == 1010
	   sed -e '/Defaults env_reset/ a\Defaults env_keep = "LANG LC_ADDRESS LC_CTYPE LC_COLLATE LC_IDENTIFICATION LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER LC_TELEPHONE LC_TIME LC_ALL LANGUAGE LINGUAS XDG_SESSION_COOKIE DISPLAY XAUTHORITY"' /etc/sudoers.bak > /etc/sudoers
	%else 
	   sed -e "s/XDG_SESSION_COOKIE/XDG_SESSION_COOKIE DISPLAY XAUTHORITY/g" /etc/sudoers.bak > /etc/sudoers
	%endif
	echo "tfreezer ALL = (root) NOPASSWD: /usr/bin/tfreezer" >> /etc/sudoers
	cp /%_datadir/applications/tfreezer.desktop /%_datadir/applications/tfreezer.desktop.bak
	sed -e "s,gnomesu -c /usr/share/tfreezer/tfreezer.py,/usr/share/tfreezer/tfreezer.sh,g" /%_datadir/applications/tfreezer.desktop.bak > /%_datadir/applications/tfreezer.desktop
	rm /%_datadir/applications/tfreezer.desktop.bak
	chmod +x /%_datadir/tfreezer/tfreezer.sh
      fi
fi

%postun
if [ "$1" = "0" ];then
  mv %{gdmdir}/PreSession/Default.tfreezer.old %{gdmdir}/PreSession/Default
  mv /etc/rc.d/boot.local.tfreezer.old /etc/rc.d/boot.local
  rm -rf /usr/bin/tfreezer
  if [ -f /etc/modalitat_linkat ]; then
     res=$(cat /etc/modalitat_linkat | grep servidor)
     if [ $? -eq 0 ]; then
       userdel -rf tfreezer
     else
       userdel tfreezer
     fi
  fi
  if [ -f /etc/sudoers.bak ]; then
     mv /etc/sudoers.bak /etc/sudoers
  fi
fi

%files
%defattr(755,root,root, 755)
/%_datadir/tfreezer
/%_datadir/applications/tfreezer.desktop
/%_datadir/pixmaps/ice-14.png

%changelog

* Thu Jan 27 2011 - Pablo Vigo <pabloon@gmail.com>
- Fixed installation problem in Linakt 4

* Wed Oct 27 2010 - David Lara <dlara@espherica.com>
- Rebuild for Linkat 4

* Wed Apr 21 2010 - Pablo Vigo <pabloon@gmail.com
- Updated to version 0.9.7
- Modified tfreezer.spec for BuildService

* Thu Mar 18 2010 - David Lara <dlara@espherica.com>
- User tfreezer created in server and client mode
- Updated to version 0.9.5

* Thu Mar 04 2010 - David Lara <dlara@espherica.com>
- Change to tfreezer user in server mode.

* Fri Feb 26 2010 - David Lara <dlara@espherica.com>
- Modified spec for allow Linkat 2 build
- Added two modified source files for correct function
- Added sudoers and desktop files modifications to server side
- Updated to version 0.9.3 beta

* Mon Feb 8 2010 - David Lara <dlara@espherica.com>
- Initial release for Linkat 3.0
- Based on version 0.9.2 beta
